Skip to main content
`Ctrl`+`K`

# pystac.serialization.migrate

pystac.serialization.migrate.migrate_to_latest(json_dict: dict[str, Any], info: STACJSONDescription) → dict[str, Any]

  Migrates the STAC JSON to the latest version

  Parameters:

    - json_dict – The dict of STAC JSON to identify.

    - info – The info from `identify_stac_object()` that describes the STAC object contained in the JSON dict.

  Returns:

    A copy of the dict that is migrated to the latest version (the version that is pystac.version.STACVersion.DEFAULT_STAC_VERSION)

  Return type:

    dict